> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rdp.sh/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Power Server

> Change the power state of your server.



## OpenAPI

````yaml post /servers/{server}/power/{state}
openapi: 3.1.0
info:
  title: APIFiddle Sample Definition
  version: 0.0.0
  description: Example workspace
servers:
  - url: https://rdp.sh/api/v1
    description: Default production endpoint.
security: []
paths:
  /servers/{server}/power/{state}:
    post:
      summary: Changes power state of server
      description: Change the power state of your server.
      operationId: changesPowerStateOfServer
      parameters:
        - $ref: '#/components/parameters/server'
        - $ref: '#/components/parameters/state'
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
                title: ChangesPowerStateOfServerOk
                required:
                  - status
                properties:
                  status:
                    type: boolean
          description: >-
            The request was successful, and the server has returned the
            requested resource in the response body.
      security:
        - Authorization: []
components:
  parameters:
    server:
      in: path
      name: server
      schema:
        type: string
      required: true
    state:
      in: path
      name: state
      schema:
        enum:
          - reset
          - start
          - stop
        type: string
        examples:
          - start
      required: true
  securitySchemes:
    Authorization:
      in: header
      name: Authorization
      type: apiKey

````